## com.bbn.openmap.layer.editor
Interface EditorTool

All Superinterfaces:
  LightMapHandlerChild, MapMouseInterpreter, MapMouseListener

All Known Implementing Classes:
  AbstractEditorTool

public interface EditorTool
extends MapMouseInterpreter, LightMapHandlerChild

An EditorTool is a component that provides specific functionality to the EditorLayer. The EditorTool is reponsible for modifying or creating a set of OMGraphics in a certain way, where the OMGraphics actually represent a specific set of objects on the map, and the actions on the OMGraphics need to be controlled.

Method Summary
`void` `drawingComplete(OMGraphic omg, OMAction action)` Method where the EditorLayer lets the tool know that the editing function has come full circle, so the user interface can be adjusted.
`java.awt.Container` `getFace()` The method that allows an EditorTool provide it's GUI.
`boolean` `isVisible()` A method that lets the EditorTool respond to queries wondering whether its interface is visible.
`void` `setVisible(boolean value)` A method that lets the EditorTool know whether its interface should be visible.
`boolean` `wantsEvents()` A method that is checked by the EditorLayer to see if the EditorTool wants to receive mouse events.

Methods inherited from interface com.bbn.openmap.omGraphics.event.MapMouseInterpreter
`getCurrentMouseEvent, getGRP, leftClick, leftClick, leftClickOff, mouseNotOver, mouseOver, mouseOver, rightClick, rightClick, rightClickOff, setGRP`

Methods inherited from interface com.bbn.openmap.event.MapMouseListener
`getMouseModeServiceList, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased`

Methods inherited from interface com.bbn.openmap.LightMapHandlerChild
`findAndInit, findAndUndo`

Method Detail

### drawingComplete

    public void drawingComplete(OMGraphic omg,
                                OMAction action)

  Method where the EditorLayer lets the tool know that the editing function has come full circle, so the user interface can be adjusted.

### wantsEvents

    public boolean wantsEvents()

  A method that is checked by the EditorLayer to see if the EditorTool wants to receive mouse events.

### setVisible

    public void setVisible(boolean value)

  A method that lets the EditorTool know whether its interface should be visible. Usually, called when the layer is turned on or off.

### isVisible

    public boolean isVisible()

  A method that lets the EditorTool respond to queries wondering whether its interface is visible.

### getFace

    public java.awt.Container getFace()

  The method that allows an EditorTool provide it's GUI.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details